#include "Project.h"
#include "io/ArhWriter.h"
#include "io/ArhReader.h"
#include <vector>

using namespace AMDiS;

void write(SolutionInformation& info, std::string filename) {
  if(info.sysVec != NULL) {
    std::vector< DOFVector< double >* > data(info.sysVec->getNumVectors());
    Mesh* mesh = info.sysVec->getDOFVector(0)->getFeSpace()->getMesh();
    for(int i=0; i < info.sysVec->getNumVectors(); ++i) {
      data[i] = info.sysVec->getDOFVector(i);
    }
    ArhWriter::write(filename, mesh, data);
  }else if(info.dofVec != NULL) {
    Mesh* mesh = info.dofVec->getFeSpace()->getMesh();
    ArhWriter::write(filename, mesh, info.dofVec);
  }else
    assert(false);
}

